/*
 * JBoss, Home of Professional Open Source
 * Copyright 2008, Red Hat Middleware LLC, and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.deployers.spi.management.deploy;

import java.io.Serializable;

/**
 * A deployment progress event object.
 * 
 * @author Scott.Stark@jboss.org
 * @version $Revision:$
 */
public class ProgressEvent
   implements Serializable
{
   private static final long serialVersionUID = 1;
   private DeploymentID deploymentTargetID;
   private DeploymentStatus status;
   
   public ProgressEvent(DeploymentID deploymentTargetID, DeploymentStatus status)
   {
      super();
      this.deploymentTargetID = deploymentTargetID;
      this.status = status;
   }

   public DeploymentID getDeploymentName()
   {
      return deploymentTargetID;
   }
   public DeploymentStatus getStatus()
   {
      return status;
   }

   public String toString()
   {
      StringBuffer tmp = new StringBuffer("ProgressEvent(");
      tmp.append("deploymentTargetID=");
      tmp.append(this.deploymentTargetID);
      tmp.append("status=");
      tmp.append(this.status);
      tmp.append(")");
      return tmp.toString();
   }
}
